## org.mortbay.util
Class SingletonList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--org.mortbay.util.SingletonList

All Implemented Interfaces:
  java.util.Collection, java.util.List

public class SingletonList
extends java.util.AbstractList

Singleton List. This simple efficient implementation of a List with a single element is provided for JDK 1.2 JVMs, which do not provide the Collections.singletonList method.

Version:
  $Revision: 1.2 $
Author:
  Greg Wilkins (gregw)

Method Summary
`java.lang.Object` `get(int i)`
`java.util.Iterator` `iterator()`
`java.util.ListIterator` `listIterator()`
`java.util.ListIterator` `listIterator(int i)`
`static SingletonList` `newSingletonList(java.lang.Object o)`
`int` `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, lastIndexOf, remove, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Method Detail

### newSingletonList

    public static SingletonList newSingletonList(java.lang.Object o)

### get

    public java.lang.Object get(int i)

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### listIterator

    public java.util.ListIterator listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### listIterator

    public java.util.ListIterator listIterator(int i)

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.List`
  Overrides:
    `iterator` in class `java.util.AbstractList`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.